Zum Inhalt springen

Vorlage:Navbox/styles.css: Unterschied zwischen den Versionen

Aus Wiki Barrierefreiheit
Keine Bearbeitungszusammenfassung
Keine Bearbeitungszusammenfassung
 
(23 dazwischenliegende Versionen desselben Benutzers werden nicht angezeigt)
Zeile 1: Zeile 1:
.navbox {
.navbox {
background-color:#ccf;
background-color:#eef;
float:right;
float:right;
color:#000;
border: 1px solid #a2a9b1;
border: 1px solid #a2a9b1;
width: 30%;
width: 20%;
font-size: 90%;
font-size: 88%;
padding: 1.5em;
padding: 1em;
margin: 1em auto 0; /* Prevent preceding content from clinging to navboxes */
margin: 1em auto 0; /* Prevent preceding content from clinging to navboxes */
    clear:both;
}
}


Zeile 38: Zeile 37:
/* @noflip */
/* @noflip */
text-align: right;
text-align: right;
  font-weight:bold;/*Test, hier keine Wirkung*/
}
}


.navbox,
 
.navbox-subgroup {
.navbox-subgroup {
background-color: #fdfdfd;
background-color: #fdfdfd;
Zeile 48: Zeile 48:
.navbox-list {
.navbox-list {
line-height: 1.5em;
line-height: 1.5em;
border-color: #fdfdfd; /* Must match background color */
border-color: #fdfdfd; /* ziemlich weiß, KM - Must match background color */
  padding-left:1em;/*Test*/
}
}


Zeile 69: Zeile 70:


.navbox-title {
.navbox-title {
background-color: #ccf; /* Level 1 color */
background-color: #eaecf0; /*Level 1 color */
     color:inherit;
     color:inherit;
    font-size:100%;
}
}


Zeile 133: Zeile 135:
@media screen {
@media screen {
html.skin-theme-clientpref-night th.navbox-title {
html.skin-theme-clientpref-night th.navbox-title {
background-color: #345;
background-color: #345; /*geaendert von #345 und zurück, KM 25.2.26*/
}
}
html.skin-theme-clientpref-night th.navbox-group {
html.skin-theme-clientpref-night th.navbox-group {
background-color: #567;
background-color: #567;/*geaendert von #567, KM 25.2.26*/
}
}
html.skin-theme-clientpref-night td.navbox-abovebelow,
html.skin-theme-clientpref-night td.navbox-abovebelow,
html.skin-theme-clientpref-night th.navbox-group,
html.skin-theme-clientpref-night th.navbox-group,
html.skin-theme-clientpref-night td.navbox-subgroup td.navbox-title {
html.skin-theme-clientpref-night td.navbox-subgroup td.navbox-title {
background-color: #456;
background-color: #456;/*geaendert von #456 und zurück, KM 25.2.26*/
}
}
html.skin-theme-clientpref-night td.navbox-even {
html.skin-theme-clientpref-night td.navbox-even {
background-color: #000;
background-color: #000;/*geaendert von #000 und zurück, KM 25.2.26*/
}
}
html.skin-theme-clientpref-night td.navbox-odd {
html.skin-theme-clientpref-night td.navbox-odd {
background-color: #123;
background-color: #123;/*nicht geaendert*/
}
}
html.skin-theme-clientpref-night .navbox,
html.skin-theme-clientpref-night .navbox,
html.skin-theme-clientpref-night .navbox-subgroup,
html.skin-theme-clientpref-night .navbox-subgroup,
html.skin-theme-clientpref-night .navbox-list {
html.skin-theme-clientpref-night .navbox-list {
background-color: #111111;
background-color: #111111;/*geaendert von #111111 und zurück, KM 25.2.26*/
}
}
html.skin-theme-clientpref-night tr + tr > .navbox-abovebelow,
html.skin-theme-clientpref-night tr + tr > .navbox-abovebelow,
Zeile 164: Zeile 166:
@media screen and (prefers-color-scheme: dark) {
@media screen and (prefers-color-scheme: dark) {
html.skin-theme-clientpref-os th.navbox-title {
html.skin-theme-clientpref-os th.navbox-title {
background-color: #345;
background-color: #345;/*geaendert von #345 und zurück, KM 25.2.26*/
}
}
html.skin-theme-clientpref-os th.navbox-group {
html.skin-theme-clientpref-os th.navbox-group {
background-color: #567;
background-color: #567;/*geaendert von #567 und zurück, KM 25.2.26*/
}
}
html.skin-theme-clientpref-os td.navbox-abovebelow,
html.skin-theme-clientpref-os td.navbox-abovebelow,
html.skin-theme-clientpref-os th.navbox-group,
html.skin-theme-clientpref-os th.navbox-group,
html.skin-theme-clientpref-os td.navbox-subgroup td.navbox-title {
html.skin-theme-clientpref-os td.navbox-subgroup td.navbox-title {
background-color: #456;
background-color: #456;/*geaendert von #456 und zurück, KM 25.2.26*/
}
}
html.skin-theme-clientpref-os td.navbox-even {
html.skin-theme-clientpref-os td.navbox-even {
Zeile 183: Zeile 185:
html.skin-theme-clientpref-os .navbox-subgroup,
html.skin-theme-clientpref-os .navbox-subgroup,
html.skin-theme-clientpref-os .navbox-list {
html.skin-theme-clientpref-os .navbox-list {
background-color: #111111;
background-color: #eef;/*geaendert von #345, KM 25.2.26*/
}
}
html.skin-theme-clientpref-os tr + tr > .navbox-abovebelow,
html.skin-theme-clientpref-os tr + tr > .navbox-abovebelow,
Zeile 189: Zeile 191:
html.skin-theme-clientpref-os tr + tr > .navbox-image,
html.skin-theme-clientpref-os tr + tr > .navbox-image,
html.skin-theme-clientpref-os tr + tr > .navbox-list {
html.skin-theme-clientpref-os tr + tr > .navbox-list {
border-top: 2px solid #111111;
border-top: 3px solid #eef;/*geaendert von #111111 und 2px, KM 25.2.26*/
}
}
}
}

Aktuelle Version vom 25. Februar 2026, 13:57 Uhr

.navbox {
background-color:#eef;
float:right;
	
	border: 1px solid #a2a9b1;
	width: 20%;
	font-size: 90%;
	padding: 1.5em;
	margin: 1em auto 0; /* Prevent preceding content from clinging to navboxes */
    clear:both;
}

.navbox .navbox {
	margin-top: 0; /* No top margin for nested navboxes */
}

.navbox + .navbox, /* TODO: remove first line after transclusions have updated */
.navbox + .navbox-styles + .navbox {
	margin-top: -1px; /* Single pixel border between adjacent navboxes */
}

.navbox-inner,
.navbox-subgroup {
	width: 100%;
}

.navbox-group,
.navbox-title,
.navbox-abovebelow {
	padding: 0.25em 1em;
	line-height: 1.5em;
	text-align: center;
}

.navbox-group {
	white-space: nowrap;
	/* @noflip */
	text-align: right;
  font-weight:bold;/*Test, hier keine Wirkung*/
}


.navbox-subgroup {
	background-color: #fdfdfd;
    color:inherit;
}

.navbox-list {
	line-height: 1.5em;
	border-color: #fdfdfd; /* ziemlich weiß, KM - Must match background color */
  padding-left:1em;/*Test*/
}

.navbox-list-with-group {
	text-align: left;
	border-left-width: 2px;
	border-left-style: solid;
}

/* cell spacing for navbox cells */
/* Borders above 2nd, 3rd, etc. rows */
/* TODO: figure out how to replace tr as structure;
 * with div structure it should be just a matter of first-child */
tr + tr > .navbox-abovebelow,
tr + tr > .navbox-group,
tr + tr > .navbox-image,
tr + tr > .navbox-list {
	border-top: 2px solid #fdfdfd; /* Must match background color */
}

.navbox-title {
	background-color: #eaecf0; /*Level 1 color */
    color:inherit;
    font-size:100%;
}

.navbox-abovebelow,
.navbox-group,
.navbox-subgroup .navbox-title {
	background-color: #ddf; /* Level 2 color */
    color:inherit;
}

.navbox-subgroup .navbox-group,
.navbox-subgroup .navbox-abovebelow {
	background-color: #e6e6ff; /* Level 3 color */
    color:inherit;
}

.navbox-even {
	background-color: #f7f7f7;
    color:inherit;
}

.navbox-odd {
	background-color: transparent;
    color:inherit;
}

/* TODO: figure out how to remove reliance on td as structure */
.navbox .hlist td dl,
.navbox .hlist td ol,
.navbox .hlist td ul,
.navbox td.hlist dl,
.navbox td.hlist ol,
.navbox td.hlist ul {
	padding: 0.125em 0;
}

.navbox .navbar {
	display: block;
	font-size: 100%;
}

.navbox-title .navbar {
	/* @noflip */
	float: left;
	/* @noflip */
	text-align: left;
	/* @noflip */
	margin-right: 0.5em;
}

/** T367463 */
body.skin--responsive .navbox-image img {
	max-width: none !important;
}

@media print {
	body.ns-0 .navbox {
		display: none !important;
	}
}

@media screen {
	html.skin-theme-clientpref-night th.navbox-title {
		background-color: #345; /*geaendert von #345 und zurück, KM 25.2.26*/
	}
	html.skin-theme-clientpref-night th.navbox-group {
		background-color: #567;/*geaendert von #567, KM 25.2.26*/
	}
	html.skin-theme-clientpref-night td.navbox-abovebelow,
	html.skin-theme-clientpref-night th.navbox-group,
	html.skin-theme-clientpref-night td.navbox-subgroup td.navbox-title {
		background-color: #456;/*geaendert von #456 und zurück, KM 25.2.26*/
	}
	html.skin-theme-clientpref-night td.navbox-even {
		background-color: #000;/*geaendert von #000 und zurück, KM 25.2.26*/
	}
	html.skin-theme-clientpref-night td.navbox-odd {
		background-color: #123;/*nicht geaendert*/
	}
	html.skin-theme-clientpref-night .navbox,
	html.skin-theme-clientpref-night .navbox-subgroup,
	html.skin-theme-clientpref-night .navbox-list {
		background-color: #111111;/*geaendert von #111111 und zurück, KM 25.2.26*/
	}
	html.skin-theme-clientpref-night tr + tr > .navbox-abovebelow,
	html.skin-theme-clientpref-night tr + tr > .navbox-group,
	html.skin-theme-clientpref-night tr + tr > .navbox-image,
	html.skin-theme-clientpref-night tr + tr > .navbox-list {
		border-top: 2px solid #111111;
	}
}

@media screen and (prefers-color-scheme: dark) {
	html.skin-theme-clientpref-os th.navbox-title {
		background-color: #345;/*geaendert von #345 und zurück, KM 25.2.26*/
	}
	html.skin-theme-clientpref-os th.navbox-group {
		background-color: #567;/*geaendert von #567 und zurück, KM 25.2.26*/
	}
	html.skin-theme-clientpref-os td.navbox-abovebelow,
	html.skin-theme-clientpref-os th.navbox-group,
	html.skin-theme-clientpref-os td.navbox-subgroup td.navbox-title {
		background-color: #456;/*geaendert von #456 und zurück, KM 25.2.26*/
	}
	html.skin-theme-clientpref-os td.navbox-even {
		background-color: #000;
	}
	html.skin-theme-clientpref-os td.navbox-odd {
		background-color: #123;
	}
	html.skin-theme-clientpref-os .navbox,
	html.skin-theme-clientpref-os .navbox-subgroup,
	html.skin-theme-clientpref-os .navbox-list {
		background-color: #eef;/*geaendert von #345, KM 25.2.26*/
	}
	html.skin-theme-clientpref-os tr + tr > .navbox-abovebelow,
	html.skin-theme-clientpref-os tr + tr > .navbox-group,
	html.skin-theme-clientpref-os tr + tr > .navbox-image,
	html.skin-theme-clientpref-os tr + tr > .navbox-list {
		border-top: 3px solid #eef;/*geaendert von #111111 und 2px, KM 25.2.26*/
	}
}